## GVirNetwork GVirNetwork |

## Functions

const gchar * | gvir_network_get_name ()
const gchar * | gvir_network_get_uuid ()
GVirConfigNetwork * | gvir_network_get_config ()

## Properties

GVirNetworkHandle * | handle | Read / Write / Construct Only

## Object Hierarchy

        GObject
        ╰── GVirNetwork

## Description

## Functions

### gvir_network_get_name ()

    const gchar *
    gvir_network_get_name (GVirNetwork *network);

### gvir_network_get_uuid ()

    const gchar *
    gvir_network_get_uuid (GVirNetwork *network);

### gvir_network_get_config ()

    GVirConfigNetwork *
    gvir_network_get_config (GVirNetwork *network,
                             guint flags,
                             GError **err);

#### Parameters

network | the network |
flags | the flags |
err | Place-holder for possible errors |

#### Returns

the config. The returned object should be unreffed with `g_object_unref()` when no longer needed.

[transfer full]

## Types and Values

## Property Details

### The `“handle”` property

      “handle”                   GVirNetworkHandle *

The network handle.

Flags: Read / Write / Construct Only